Qt 5.6 | Qt Core | C++ Classes | QChar

Qt 5.6.2 Reference Documentation

# Obsolete Members for QChar

The following members of class QChar are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Types

`(obsolete)` enum | Joining { Center, Dual, OtherJoining, Right }

## Public Functions

`(obsolete)` Joining | joining() const
`(obsolete)` char | toAscii() const

## Static Public Members

`(obsolete)` QChar | fromAscii(char c)
`(obsolete)` Joining | joining(uint ucs4)

## Member Type Documentation

### enum QChar::Joining

This enum type defines the Unicode joining attributes. See the Unicode Standard for a description of the values.

Constant | Value
--- | ---
`QChar::Center` | `3`
`QChar::Dual` | `1`
`QChar::OtherJoining` | `0`
`QChar::Right` | `2`

See also joining().

## Member Function Documentation

### `[static]` QChar QChar::fromAscii(char c)

Converts the ASCII character c to it's equivalent QChar. This is mainly useful for non-internationalized software.

An alternative is to use QLatin1Char.

See also fromLatin1() and unicode().

### Joining QChar::joining() const

Returns information about the joining properties of the character (needed for certain languages such as Arabic).

### `[static]` Joining QChar::joining(uint ucs4)

This is an overloaded function.

Returns information about the joining properties of the UCS-4-encoded character specified by ucs4 (needed for certain languages such as Arabic).

### char QChar::toAscii() const

Returns the Latin-1 character value of the QChar, or 0 if the character is not representable.

The main purpose of this function is to preserve ASCII characters used in C strings. This is mainly useful for developers of non-internationalized software.

Note: It is not possible to distinguish a non-Latin 1 character from an ASCII 0 (NUL) character. Prefer to use unicode(), which does not have this ambiguity.

Note: This function does not check whether the character value is inside the valid range of US-ASCII.

See also toLatin1() and unicode().